using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeTurretMissiles : UpgradeButton {

	protected override int CostForLevel() {
		return 500;
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.turretsFireMissiles = true;

		Destroy (gameObject);
	}

	override protected string UpgradeName() {
		return "Your turrets now fire missiles!";
	}

}
